%define upstream_name    Net-IDN-Encode
%define upstream_version 2.003

%define _provides_exceptions perl(Net::IDN::UTS46::_Mapping)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Encoding/Decoding of IDNs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl-devel
%description
This module provides an easy-to-use interface for encoding and decoding
Internationalized Domain Names (IDNs).

IDNs use characters drawn from a large repertoire (Unicode), but IDNA
allows the non-ASCII characters to be represented using only the ASCII
characters already allowed in so-called host names today
(letter-digit-hypen, '/[A-Z0-9-]/i').

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.3.0-2.mga3
+ Revision: 370632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 2.3.0-1.mga2
+ Revision: 220105
- update to 2.003

* Tue Dec 20 2011 kharec <kharec> 1.102.0-1.mga2
+ Revision: 184975
- update to 1.102

* Fri Dec 09 2011 kharec <kharec> 1.101.0-1.mga2
+ Revision: 179402
- update to 1.101

  + jquelin <jquelin>
    - imported package perl-Net-IDN-Encode

